extends Node2D
class_name DragonSprite


@export var hat: Sprite2D
@export var shirt: Sprite2D
@export var shoes: Sprite2D
@export var name_label: Label


func _ready() -> void:
	name_label.hide()


func dress(hat: Texture2D, shirt: Texture2D, shoes: Texture2D):
	self.hat.texture = hat
	self.shirt.texture = shirt
	self.shoes.texture = shoes


func set_dragon_name(dragon_name: String):
	name_label.text = dragon_name


func _on_area_2d_mouse_entered() -> void:
	name_label.show()


func _on_area_2d_mouse_exited() -> void:
	name_label.hide()
